<?php
//###########################################
//# Simple Nagios PHP Dashboard             #
//# !!! Minimum Nagios Version is 4.1.0 !!! #
//# Tested on Nagios 4.3.4                  #
//###########################################
//# Using Nagios JSON API                   #
//# Petr Mrázek - 2018                      #
//# petr@mrazek.biz                         #
//# Version 0.1a                            #
//###########################################

// Debug
//error_reporting(E_ALL);
//ini_set('display_errors', 1);

// Load configuration file
require('conf.php');

// Load library
require('lib.php');

// Load Mobile_Detect library by Şerban Ghiţă (https://github.com/serbanghita/Mobile-Detect)
require('Mobile_Detect.php');

// Detect mobile device
$detect = new Mobile_Detect;
$deviceType = ($detect->isMobile() ? ($detect->isTablet() ? 'tablet' : 'phone') : 'computer');
if ($deviceType=="computer") {
	$isMobile = false;
} else {
	$isMobile = true;
}
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8" /> 
		<title>SNPD <?php echo $appVersion." - ".$usr_title; ?></title>
		<link rel="stylesheet" href="styles.css">
		<meta http-equiv="refresh" content="<?php echo $usr_refresh; ?>">
	</head>
	<body>
	<h1><?php echo $usr_title2; ?></h1>
	<div id="wrapper<?php if ($isMobile == true) {echo "Mobile";} ?>">
		<?php
		require('hosts.php');
		require('services.php');
		if ($isMobile == true) {
			require('detail.php');
		}	
		require('info.php');
		?>		
	</div>
	<?php
	if ($isMobile == false) {
		echo "<div id=\"wrapper_right\">";
			require('detail.php');
		echo "</div>";
	}
	
	?>
	</body>
</html>