<?php
//###############################
//# Simple Nagios PHP Dashboard #
//###############################
// Library file

//Version
$appVersion = "0.1a";

// Detect app folder
$approot = realpath(dirname(__FILE__)); 

// Load language file
require($approot."/lang/".$lang_file);

// Function to get data form Nagios via JSON API
function get_data($get_url) {
	global $nag_url, $nag_usr, $nag_pwd;
	$get_status = curl_init($nag_url . $get_url);
	curl_setopt($get_status, CURLOPT_RETURNTRANSFER, true);  
	curl_setopt($get_status, CURLOPT_USERPWD, $nag_usr . ":" . $nag_pwd);
	$res = curl_exec($get_status);
	curl_close($get_status);
	return json_decode($res, true);
}

//Get statistics
$statsHosts = get_data("cgi-bin/statusjson.cgi?query=hostcount");
$statsServices = get_data("cgi-bin/statusjson.cgi?query=servicecount");

//Check connection
if (isset($statsHosts["data"]["count"]["up"]) and $statsHosts["data"]["count"]["up"]!="") {
	$connection = true;
} else {
	$connection = false;
}

//Fill variables with counts
$hostsUP = $statsHosts["data"]["count"]["up"];
$hostsDO = $statsHosts["data"]["count"]["down"];
$hostsUN = $statsHosts["data"]["count"]["unreachable"];
$hostsPE = $statsHosts["data"]["count"]["pending"];
$serviesOK = $statsServices["data"]["count"]["ok"];
$serviesWA = $statsServices["data"]["count"]["warning"];
$serviesCR = $statsServices["data"]["count"]["critical"];
$serviesUN = $statsServices["data"]["count"]["unknown"];
$serviesPE = $statsServices["data"]["count"]["pending"];

//Get problems for detail
$hostsProblemsDO = get_data("cgi-bin/statusjson.cgi?query=hostlist&details=true&hoststatus=down");
$hostsProblemsUN = get_data("cgi-bin/statusjson.cgi?query=hostlist&details=true&hoststatus=unreachable");
$hostsProblemsPE = get_data("cgi-bin/statusjson.cgi?query=hostlist&details=true&hoststatus=pending");
$servicesProblemsWA = get_data("cgi-bin/statusjson.cgi?query=servicelist&details=true&servicestatus=warning");
$servicesProblemsCR = get_data("cgi-bin/statusjson.cgi?query=servicelist&details=true&servicestatus=critical");
$servicesProblemsUN = get_data("cgi-bin/statusjson.cgi?query=servicelist&details=true&servicestatus=unknown");
$servicesProblemsPE = get_data("cgi-bin/statusjson.cgi?query=servicelist&details=true&servicestatus=pending");

//Get info about Nagios
$nagInfo = get_data("cgi-bin/statusjson.cgi?query=programstatus");